"No input file specified."



  • Hi!

    My install went ok, I now have NodeBB + Mongo + nginx 1.9.3 (Ubuntu 14) up & running and can login to my admin panel.

    Trouble is that - usually when logged in as admin - it only seems to run for a few minutes until I get "No input file specified." in my browser. At this point if I try to access my home page (NodeBB home page) the thin blue NodeBB progress bar is about 80% of the way across the screen and I have a blue progress spinner to the right of the profile icon.

    Sometimes I can logout from the profile icon to fix things or failing that a ./nodebb restart will bring everything back to life again. For a while. The log shows:

    ./nodebb log

    26/11 18:30 [4411] - warn: [plugins/load] The following plugins may not be compatible with your version of NodeBB. This may cause unintended behaviour or crashing. In the event of an unresponsive NodeBB caused by this plugin, run ./nodebb reset -p PLUGINNAME to disable it.

    • nodebb-plugin-composer-default
    • nodebb-plugin-markdown
    • nodebb-plugin-mentions
    • nodebb-widget-essentials
    • nodebb-rewards-essentials
    • nodebb-plugin-soundpack-default
    • nodebb-theme-persona

    26/11 18:30 [4411] - info: NodeBB Ready
    26/11 18:30 [4411] - info: NodeBB is now listening on: 0.0.0.0:4567

    All I've done is follow the install instructions at http://nodebb-francais.readthedocs.org/projects/nodebb/en/latest/installing/os/ubuntu.html - I haven't intentionally added any other plugins at this stage.

    Does anyone have any ideas what the problem could be?

    Thanks,

    Steve


  • Admin

    @steveharman said:

    No input file specified.

    Can't say I've ever seen that before... is it just that text on a white background, or is it an error with NodeBB styling?

    Screenshot?



  • @julian Just plain black text on white. Will upload a screenshot tomorrow but there's not much more to it than that.

    Steve


  • Admin

    It's not an error we output... maybe something with your webserver? Try googling that error...

    Your NodeBB install seems okay.



  • @julian Thanks, will do.

    Out of interest though, is there any relevance to the following log lines:

    26/11 18:30 [4411] - warn: [plugins/load] The following plugins may not be compatible with your version of NodeBB. This may cause unintended behaviour or crashing. In the event of an unresponsive NodeBB caused by this plugin, run ./nodebb reset -p PLUGINNAME to disable it.

    nodebb-plugin-composer-default
    nodebb-plugin-markdown
    nodebb-plugin-mentions
    nodebb-widget-essentials
    nodebb-rewards-essentials
    nodebb-plugin-soundpack-default
    nodebb-theme-persona
    

    Seems strange that a vanilla install of the current NodeBB should warn about seven bundled elements being incompatible?

    Steve


  • Admin

    Not sure about that one, what version of NodeBB are you running?



  • Thanks @juiian. According to the admin panel I was on 0.9.0 - I've now upgraded to 0.9.1.

    The list of plugins being warned about at NodeBB startup has now shrunk to:

    27/11 14:58 [9760] - warn: [plugins/load] The following plugins may not be compatible with your version of NodeBB. This may cause unintended behaviour or crashing. In the event of an unresponsive NodeBB caused by this plugin, run ./nodebb reset -p PLUGINNAME to disable it.

    ** * nodebb-plugin-dbsearch**

    ...which I installed manually via the admin panel.

    Steve



  • System has been runninging flawlessly all day since upgrading to 0.9.1 without a repeat of this issue. Let's just put it down to something weird in the machine.

    Steve


Log in to reply
 


Looks like your connection to NodeBB was lost, please wait while we try to reconnect.